#import discord
import secrets
from discord.ext import commands


class Admin(commands.Cog):
	"""Administrative functionality."""

	def __init__(self, bot: commands.Bot):
		self.bot = bot

	@commands.command(
		description="Modify channel settings",
		brief="Set channel specific settings via the webgui",
		help="Sends a single-use time based token to the webportal"
	)
	async def channelsettings(self, ctx: commands.Context, *, text: str):
		pass
		temp_key = secrets.token_urlsafe(40)[:40]
		#await self.bot.change_presence(activity=discord.Game(name=text))